## ESpellEntry

ESpellEntry

## Synopsis

    struct              ESpellEntry;
    GtkWidget *         e_spell_entry_new                   (void);
    void                e_spell_entry_set_languages         (ESpellEntry *spell_entry,
                                                             GList *languages);
    gboolean            e_spell_entry_get_checking_enabled  (ESpellEntry *spell_entry);
    void                e_spell_entry_set_checking_enabled  (ESpellEntry *spell_entry,
                                                             gboolean enable_checking);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkEntry
                         +----ESpellEntry

## Implemented Interfaces

ESpellEntry implements AtkImplementorIface, GtkBuildable, GtkEditable, GtkCellEditable and EExtensible.

## Properties

      "checking-enabled"         gboolean              : Read / Write

## Description

## Details

### struct ESpellEntry

    struct ESpellEntry;

### e_spell_entry_new ()

    GtkWidget *         e_spell_entry_new                   (void);

### e_spell_entry_set_languages ()

    void                e_spell_entry_set_languages         (ESpellEntry *spell_entry,
                                                             GList *languages);

### e_spell_entry_get_checking_enabled ()

    gboolean            e_spell_entry_get_checking_enabled  (ESpellEntry *spell_entry);

### e_spell_entry_set_checking_enabled ()

    void                e_spell_entry_set_checking_enabled  (ESpellEntry *spell_entry,
                                                             gboolean enable_checking);

## Property Details

### The `"checking-enabled"` property

      "checking-enabled"         gboolean              : Read / Write

Spell Checking is Enabled.

Default value: TRUE